=== debian/changelog ===
irrlicht (1.8.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 19 Dec 2013 22:04:44 -0800
