=== debian/control ===
Source: irrlicht
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christoph Egger <christoph@debian.org>,
 Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends:
 debhelper (>= 9),
 doxygen-latex,
 libbz2-dev,
 libglu1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libsdl1.2-dev,
 libx11-dev,
 libxrandr-dev,
 libxxf86vm-dev,
 mesa-common-dev (>= 7.6),
 x11proto-xf86vidmode-dev,
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://irrlicht.sf.net
Vcs-Git: git://anonscm.debian.org/pkg-games/irrlicht.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/irrlicht.git

Package: libirrlicht-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
Suggests: libirrlicht-doc
Description: High performance realtime 3D engine development library
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the development library.

Package: libirrlicht1.8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High performance realtime 3D engine
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.

Package: libirrlicht1.8-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for irrlicht
 This package contains the debugging symbols associated with irrlicht.
 They will automatically be used by gdb for debugging irrlicht-related
 issues.

Package: libirrlicht-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: High performance realtime 3D engine (API documentation)
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the API documentation and examples.
