=== debian/changelog ===
irrlicht (1.8.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Fix the fix for compiling on GCC5 (thanks to est31 for report and patch)
      (Closes: #798694)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 13 Sep 2015 23:57:14 -0700

irrlicht (1.8.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Drop make-build-reproducible.patch, obsolete.
  * Build-dep on doxygen instead of doxygen-latex.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 10 Sep 2015 12:26:34 -0700

irrlicht (1.8.1+dfsg1-2) unstable; urgency=medium

  * Add patch to make build reproducible. (Closes: #788336)
  * Update my email address.
  * Update Standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 28 Jun 2015 21:18:26 -0700
