=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Christoph Egger <christoph@debian.org>,
- Vincent Cheng <Vincentc1208@gmail.com>
+ Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper (>= 9),
- doxygen-latex,
+ doxygen,
  libbz2-dev,
  libglu1-mesa-dev,
  libjpeg-dev,
@@ -19,7 +19,7 @@
  mesa-common-dev (>= 7.6),
  x11proto-xf86vidmode-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://irrlicht.sf.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/irrlicht.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/irrlicht.git
