=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,11 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)
 
 # shared library versions, option 1
-upstream_version=1.8.1
-version=1.8.1
+upstream_version=1.8.3
+version=1.8.3
 major=1.8
 repackv=1
 
@@ -36,7 +37,13 @@
 	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht staticlib
 	
 	# build documentation
-	cd scripts/doc/irrlicht && sh makedocumentation.sh
+	# based off of scripts/doc/irrlicht/makedocumentation.sh
+	cd scripts/doc/irrlicht && rm -f tut.txt && \
+	for i in ../../../examples/[012]*/main.cpp; do \
+	  sed -f tutorials.sed $i >>tut.txt; \
+	done && \
+	doxygen doxygen.cfg && \
+	cp irrlicht.png logobig.png ../../../doctemp/html
 	mv doctemp/* doc/
 
 override_dh_installdirs:
@@ -60,12 +67,12 @@
 
 get-orig-source:
 	# Note: scripts/ directory seems to be missing from upstream zip, so download from:
-	# https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/
+	# https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.8/scripts/
 	mkdir -p ../repack
 	uscan --force-download --destdir ../repack --download-current-version
 	( \
 		cd ../repack ;\
-		unzip irrlicht-$(upstream_version).zip ;\
+		unzip -q irrlicht-$(upstream_version).zip ;\
 		cd irrlicht-$(upstream_version) ;\
 		rm -rf source/Irrlicht/jpeglib ;\
 		rm -rf source/Irrlicht/zlib ;\
@@ -80,11 +87,11 @@
 		rm -rf media ;\
 		rm -rf lib ;\
 		rm -rf doc/html ;\
-		svn co https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/ scripts ;\
+		svn co https://svn.code.sf.net/p/irrlicht/code/branches/releases/1.8/scripts/ scripts ;\
 		find . -name .svn -exec rm -rf {} \; ;\
 		find . \( -name \*.exe -o -name \*.dll \) -exec rm -f {} \; ;\
 		cd .. ;\
-		GZIP="--best" tar -czf irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz irrlicht-$(upstream_version) ;\
+		GZIP="--best" tar --mtime="$(SOURCE_DATE)" -czf irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz irrlicht-$(upstream_version) ;\
 		mv irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz .. ;\
 	)
 	rm -rf ../repack
