=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$//g \
 http://sf.net/irrlicht/irrlicht-([\.0-9]+)\.zip

# http://irrlicht.sourceforge.net/downloads.html irrlicht-(.*)\.zip

# http://sf.net/irrlicht/irrlicht-([\.0-9]+)\.zip
