=== debian/changelog ===
irrlicht (1.8.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Remove gcc6.patch; applied upstream.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 20 Sep 2016 22:54:13 -0700

irrlicht (1.8.3+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Bump standards-version up.
  * Rewrite Vcs-* fields (use https).
  * Add an upstream patch to fix gcc 6 warnings and errors. (Closes: #811787)

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 06 Jul 2016 12:34:40 +0200
