=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
  mesa-common-dev (>= 7.6),
  x11proto-xf86vidmode-dev,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://irrlicht.sf.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/irrlicht.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/irrlicht.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/irrlicht.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-games/irrlicht.git
 
 Package: libirrlicht-dev
 Section: libdevel
