=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
--include /usr/share/topgit/tg2quilt.mk
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
@@ -8,10 +6,11 @@
 SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)
 
 # shared library versions, option 1
-upstream_version=1.8.3
-version=1.8.3
+upstream_version=1.8.4
+version=1.8.4
 major=1.8
 repackv=1
+scripts_svn_rev=5339
 
 %:
 	dh $@
@@ -87,7 +86,7 @@
 		rm -rf media ;\
 		rm -rf lib ;\
 		rm -rf doc/html ;\
-		svn co https://svn.code.sf.net/p/irrlicht/code/branches/releases/1.8/scripts/ scripts ;\
+		svn co -r $(scripts_svn_rev) https://svn.code.sf.net/p/irrlicht/code/branches/releases/1.8/scripts/ scripts ;\
 		find . -name .svn -exec rm -rf {} \; ;\
 		find . \( -name \*.exe -o -name \*.dll \) -exec rm -f {} \; ;\
 		cd .. ;\
