## irrlicht 1.8.4.0

=== debian/changelog ===
irrlicht (1.8.4.0-1.2) unstable; urgency=medium

  * rebuild for minenux with sse flags for x86 and x64 cpus
  * backported optimized for venenux 1.X releases, use sse and march 
    autodetection for jessie, wheeze and strecht (wheeze+ are just modern cpu only)
  * patched for honor the CFLAGS and CXXFLAGS on makefiles due irrlight 
    custom makefile does not honor parsing flags, workaround Closes: #927456
  * Improve a shell look in debian/rules by adding set -e to it and
    fixing a variable reference (it was intended for the shell, but
    make interpreted it instead).
  * Replace "Priority: extra" with "Priority: optional" as the
    former is deprecated.
  * Fix FTCBFS: Let dh_auto_build pass cross compilers. (Closes: #853011)

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Sun, 06 Jan 2019 16:29:15 +0000

irrlicht (1.8.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload. Multiarch-able build for 1.X VenenuX series 
    and new upstream release for. Closes: #788336, #675929, #634032, #628282.
  * backported optimized for venenux 1.X releases, use sse and march 
    autodetection for jessie, wheeze and strecht (wheeze+ are just modern cpu only)
  * patched for honor the CFLAGS and CXXFLAGS on makefiles due irrlight 
    custom makefile does not honor parsing flags, workaround Closes: #927456
  * Improve a shell look in debian/rules by adding set -e to it and
    fixing a variable reference (it was intended for the shell, but
    make interpreted it instead).
  * Replace "Priority: extra" with "Priority: optional" as the
    former is deprecated.
  * Fix FTCBFS: Let dh_auto_build pass cross compilers. (Closes: #853011)

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Sun, 06 Jan 2019 16:29:15 +0000
