=== debian/control ===
--- 
+++ 
@@ -2,11 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Christoph Egger <christoph@debian.org>,
- Vincent Cheng <vcheng@debian.org>
-Build-Depends:
- debhelper (>= 9),
+Build-Depends: debhelper (>= 8),
  doxygen,
  libbz2-dev,
  libglu1-mesa-dev,
@@ -19,6 +15,7 @@
  mesa-common-dev (>= 7.6),
  x11proto-xf86vidmode-dev,
  zlib1g-dev
+Rules-Requires-Root: no
 Standards-Version: 3.9.8
 Homepage: http://irrlicht.sf.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/irrlicht.git
@@ -51,7 +48,6 @@
 
 Package: libirrlicht1.8-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
@@ -63,6 +59,7 @@
 Package: libirrlicht-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: High performance realtime 3D engine (API documentation)
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
