=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,41 @@
 repackv=1
 scripts_svn_rev=5339
 
+CFLAGS = -Wall -g 
+#
+### PICCORO optimizer flags for x86 machines, -03 only can be with gcc 3.4
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -O0
+CXXFLAGS += -O0
+else
+ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
+CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+export CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+export CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+else
+ifneq (,$(findstring i486,$(DEB_BUILD_ARCH)))
+CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+export CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+export CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mtune=nocona -mmmx  -msse -mfpmath=sse -Wall
+else
+CFLAGS += -O2 -fomit-frame-pointer 
+export CFLAGS += -O2 -fomit-frame-pointer 
+endif
+endif
+endif
+
+ifneq (,$(findstring 64,$(DEB_BUILD_ARCH)))
+CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -mmmx -msse -mfpmath=sse -Wall
+export CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -mmmx -msse -mfpmath=sse -Wall
+CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -mmmx -msse  -fpermissive -mfpmath=sse -Wall
+export CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -mmmx -msse  -fpermissive -mfpmath=sse -Wall
+endif
+
+
 %:
-	dh $@
+	dh $@ --sourcedirectory=source/Irrlicht --parallel
 
 override_dh_clean:
 	# clean documentation
@@ -31,15 +64,13 @@
 	
 	# build irrlicht shared and static lib
 	NDEBUG="true" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht sharedlib
-	NDEBUG="true" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht staticlib
+	CXXFLAGS="$(CXXFLAGS)" dh_auto_build -- sharedlib staticlib
 	
 	# build documentation
 	# based off of scripts/doc/irrlicht/makedocumentation.sh
-	cd scripts/doc/irrlicht && rm -f tut.txt && \
+	set -e ; cd scripts/doc/irrlicht && rm -f tut.txt && \
 	for i in ../../../examples/[012]*/main.cpp; do \
-	  sed -f tutorials.sed $i >>tut.txt; \
+	  sed -f tutorials.sed "$${i}" >>tut.txt; \
 	done && \
 	doxygen doxygen.cfg && \
 	cp irrlicht.png logobig.png ../../../doctemp/html
@@ -50,8 +81,8 @@
 	usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_install:
-	$(MAKE) -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp \
-	INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) install
+	dh_auto_install -- \
+	INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_installchangelogs:
 	dh_installchangelogs changes.txt
